=== debian/changelog ===
blockattack (2.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.8.0.
  * Build-depend on libfmt-dev and do not use embedded copy.
  * Update homepage field and update debian/copyright.
  * Declare compliance with Debian Policy 4.6.1.

 -- Markus Koschany <apo@debian.org>  Wed, 24 Aug 2022 14:37:04 +0200
