=== debian/control ===
Source: blockattack
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Barry deFreese <bdefreese@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 docbook-to-man,
 libboost-dev,
 libboost-program-options-dev,
 libfmt-dev,
 libphysfs-dev,
 libsdl2-dev,
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libsdl2-ttf-dev,
 libutfcpp-dev,
 zip
Standards-Version: 4.6.1
Homepage: https://blockattack.net/
Vcs-Git: https://salsa.debian.org/games-team/blockattack.git
Vcs-Browser: https://salsa.debian.org/games-team/blockattack

Package: blockattack
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: puzzle game inspired by Tetris
 Block Attack is a puzzle/blockfall game inspired by Nintendo's Tetris Attack
 for the Super Nintendo. The game is pretty action packed for a puzzle game :-)
 .
 Features:
  * Based on the classic "Tetris Attack" for the SNES
  * 5 single player modes: Endless, Time Trial, Puzzle Mode, Stage Clear and
  Vs. Mode
  * 2 two player options: Time Trial and Vs. Mode
  * Puzzle mode has 20+ puzzles
  * Players can use a custom key setup
  * Handicap in multiplayer
  * Highscores are saved
  * Joypad support
  * Music and sound effects
  * Animations
  * Select puzzle file from a list in the game
 .
 System requirements:
  * Screen resolution: 1024x768 (cannot be changed, but it can run in a window)
  * Keyboard
  * Mouse (optional)
  * Processor: Decent (tested on 733 MHz)
  * Memory: at least 64 MB
