## blockattack 2.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
-cmake_minimum_required(VERSION 3.5.1...3.18.4)
+cmake_minimum_required(VERSION 3.5.1...3.27.4)
 project (blockattack)
 set(BIN_DIR ${blockattack_SOURCE_DIR}/Game)
 
-SET(CPACK_PACKAGE_VERSION "2.8.0")
+SET(CPACK_PACKAGE_VERSION "2.9.0")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
-SET(CPACK_PACKAGE_VERSION_MINOR "8")
+SET(CPACK_PACKAGE_VERSION_MINOR "9")
 SET(CPACK_PACKAGE_VERSION_PATCH "0")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Block Attack - Rise of the Blocks ${CPACK_PACKAGE_VERSION}")
 SET(CPACK_PACKAGE_VENDOR "Poul Sander")
@@ -55,6 +55,10 @@
 	endif()
 endif()
 
+if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
+    set(MACOSX TRUE)
+endif()
+
 #Compiler options
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -std=c++11")
 set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_DEBUG} -g -DDEBUG")
@@ -62,7 +66,7 @@
 
 #Setup SDL2
 find_package(SDL2 REQUIRED)
-include_directories(${SDL2_INCLUDE_DIRS})
+
 
 #Setup things that use pkg-config
 find_package(PkgConfig REQUIRED)
@@ -70,14 +74,13 @@
 pkg_search_module(SDL2IMAGE REQUIRED SDL2_image)
 pkg_search_module(SDL2TTF REQUIRED SDL2_ttf)
 
-include_directories(${SDL2MIXER_INCLUDE_DIRS})
-include_directories(${SDL2IMAGE_INCLUDE_DIRS})
-include_directories(${SDL2TTF_INCLUDE_DIRS})
+
+find_package(Intl REQUIRED)
 
 find_package(Boost COMPONENTS program_options REQUIRED)
 
 #Find all sources but one
-file(GLOB SOURCES "source/code/*.cpp" "source/code/*/*.cpp" "source/code/Libs/*.c")
+file(GLOB SOURCES "source/code/*.cpp" "source/code/*.inc" "source/code/*.h*" "source/code/*/*.cpp" "source/code/*/*.h*" "source/code/Libs/*.c" "source/code/Libs/*.h*")
 #I am still trying to get BlockGame to compile as a source file
 #list(REMOVE_ITEM SOURCES "${blockattack_SOURCE_DIR}/source/code/BlockGame.cpp")
 
@@ -97,18 +100,30 @@
 	message("Done processing PlatformFolders")
 endif()
 
-include_directories("source/code/Libs/include")
-include_directories("source/code/Libs/include/cereal/external")  #Contains rapidjson
 
 #building/compiling/linking
-add_executable(blockattack ${GUI_TYPE} ${SOURCES} ${RES_FILES})
-target_link_libraries( blockattack ${SDL2_LIBRARIES})
-target_link_libraries( blockattack fmt)
-target_link_libraries( blockattack platform_folders)
-target_link_libraries( blockattack physfs)
-target_link_libraries( blockattack ${SDL2MIXER_LIBRARIES} ${SDL2IMAGE_LIBRARIES} ${SDL2TTF_LIBRARIES})
-target_link_libraries( blockattack ${Boost_LIBRARIES} )
-set_target_properties( blockattack PROPERTIES RUNTIME_OUTPUT_DIRECTORY Game)
+add_executable(blockattack ${GUI_TYPE} ${SOURCES} ${RES_FILES}
+    source/code/menudef_themes.cpp
+    source/code/menudef_themes.hpp)
+
+target_include_directories(blockattack PRIVATE "source/code/Libs/include")
+target_include_directories(blockattack PRIVATE "source/code/Libs/include/cereal/external")  #Contains rapidjson
+target_include_directories(blockattack PRIVATE ${SDL2_INCLUDE_DIRS})
+target_include_directories(blockattack PRIVATE ${SDL2MIXER_INCLUDE_DIRS})
+target_include_directories(blockattack PRIVATE ${SDL2IMAGE_INCLUDE_DIRS})
+target_include_directories(blockattack PRIVATE ${SDL2TTF_INCLUDE_DIRS})
+target_include_directories(blockattack PRIVATE ${Intl_INCLUDE_DIRS})
+
+target_link_libraries(blockattack PRIVATE ${SDL2_LIBRARIES})
+target_link_libraries(blockattack PRIVATE fmt)
+target_link_libraries(blockattack PRIVATE platform_folders)
+target_link_libraries(blockattack PRIVATE physfs)
+if (MACOSX)
+	target_link_libraries(blockattack PRIVATE intl)
+endif()
+target_link_libraries(blockattack PRIVATE ${SDL2MIXER_LIBRARIES} ${SDL2IMAGE_LIBRARIES} ${SDL2TTF_LIBRARIES})
+target_link_libraries(blockattack PRIVATE ${Boost_LIBRARIES} )
+set_target_properties(blockattack PROPERTIES RUNTIME_OUTPUT_DIRECTORY Game)
 
 #Installing
 install(TARGETS blockattack RUNTIME DESTINATION ${INSTALL_BIN_DIR} )
