=== debian/changelog ===
blockattack (2.9.0-1build3) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:10:58 +0200

blockattack (2.9.0-1build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:00:33 +0200

blockattack (2.9.0-1build1) plucky; urgency=medium

  * Rebuild against latest fmtlib

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 13 Nov 2024 10:06:10 -0500

blockattack (2.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 31 May 2024 20:25:20 +0200
