=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=Release \
		-DBLOCKATTACK_USE_EMBEDDED_FMT=OFF \
		-DINSTALL_BIN_DIR=/usr/games \
		-DINSTALL_DATA_DIR=share/games/blockattack

override_dh_auto_build:
	dh_auto_build
	cd man ; docbook-to-man blockattack.sgml | gzip -9 > blockattack.6.gz
	cp debian/blockattack.desktop .
	./packdata.sh
