=== debian/changelog ===
blockattack (2.10.0-1build1) resolute; urgency=medium

  * No-change rebuild for boost 1.90.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Feb 2026 14:18:31 +0100

blockattack (2.10.0-1) unstable; urgency=medium

  * Team upload.
  * d/gbp.conf: added with pristine.
  * New upstream version 2.10.0
  * d/watch: version 5
  * d/control: remove RRR: no (default)
  * d/control: switch to SV 4.7.2.
  * d/copyright: refresh
  * d/salsa-ci.yml: reduce a bit

 -- Patrice Duroux <patrice.duroux@gmail.com>  Wed, 31 Dec 2025 09:26:34 +0100
