=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  libsdl2-ttf-dev,
  libutfcpp-dev,
  zip
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://blockattack.net/
 Vcs-Git: https://salsa.debian.org/games-team/blockattack.git
 Vcs-Browser: https://salsa.debian.org/games-team/blockattack
